Bug 204846 - sysutils/gosa: Depends on "deleted" php Magic Quotes option, Update to 2.7.4
Summary: sysutils/gosa: Depends on "deleted" php Magic Quotes option, Update to 2.7.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2015-11-27 13:05 UTC by Ekkehard 'Ekki' Gehm
Modified: 2016-08-19 03:24 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ekkehard 'Ekki' Gehm 2015-11-27 13:05:00 UTC
First of all: It's current version is 2.7.4

The version in the ports tree doesn't work anymore because it depends on php's Magic Quotes. Those have been deleted in php54....
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 13:20:20 UTC
Will updating this poyrt to 2.7.4 address the dependency issue?

If not, what is the correct course of action? Please update the issue Summary to suit
Comment 2 Ekkehard 'Ekki' Gehm 2015-11-28 11:35:28 UTC
I will check that later. Seems it is still a requirement ( see https://oss.gonicus.de/labs/gosa/wiki/InstallingPHP).
In the "port-version" one will be unable to finish the setup-script, because it doesn't continue without the option in php (even setting it in php.ini won't work...) being set.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-28 11:39:45 UTC
(In reply to gehm from comment #2)

If that's the case, it might be worth creating a new issue, blocking this one, to revive the "Magic Quotes port".

That port should be made to work with currently supported PHP port versions. If that's not possible it may be a blocker for this issue.

It's worth noting, that since the sysutils/gosa port has no maintainer, and requires the revival of since deleted port, that unless you can provide patches to resolve it, it will make progressing this issue much more challenging.
Comment 4 Ekkehard 'Ekki' Gehm 2015-12-01 13:39:47 UTC
Actually magic-quotes is not a port. It was an option in php.ini witch dosn't exist anymore. The title of this bug is a bit misleading... Will change that...
Comment 5 Kurt Jaeger freebsd_committer 2016-02-12 19:52:41 UTC
I sent a mail upstream to ask for newer versions and if the software
is still under development.
Comment 6 commit-hook freebsd_committer 2016-08-19 03:24:28 UTC
A commit references this bug:

Author: marino
Date: Fri Aug 19 03:23:34 UTC 2016
New revision: 420444
URL: https://svnweb.freebsd.org/changeset/ports/420444

Log:
  sysutils/gosa: Mark BROKEN due to unsatisfied magic quotes option

  This version of gosa requires magic quotes to be turned on, but this
  contraversial option was last available with PHP 5.3, which has long
  since been removed from the tree.  A newer version of gosa, 2.7.4,
  was released on 9 May 2012 which may or may not have the same magic
  quotes requirement.

  PR:	204846

Changes:
  head/sysutils/gosa/Makefile